Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1

    java.lang.Object
      com.mindbright.asn1.ASN1

public final class ASN1
extends java.lang.Object

Field Summary
`static int` | `CLASS_APPLICATION`
`static int` | `CLASS_CONTEXT`
`static int` | `CLASS_PRIVATE`
`static int` | `CLASS_UNIVERSAL`
`static int` | `MASK_CLASS`
`static int` | `MASK_NUMBER`
`static int` | `TAG_ANY`
`static int` | `TAG_BITSTRING`
`static int` | `TAG_BMPSTRING`
`static int` | `TAG_BOOLEAN`
`static int` | `TAG_EMBEDDED`
`static int` | `TAG_ENUMERATED`
`static int` | `TAG_GENERALIZEDTIME`
`static int` | `TAG_GENERALSTRING`
`static int` | `TAG_GRAPHICSTRING`
`static int` | `TAG_IA5STRING`
`static int` | `TAG_INSTANCEOF`
`static int` | `TAG_INTEGER`
`static int` | `TAG_NULL`
`static int` | `TAG_NUMERICSTRING`
`static int` | `TAG_OCTETSTRING`
`static int` | `TAG_ODESC`
`static int` | `TAG_OID`
`static int` | `TAG_PRINTABLESTRING`
`static int` | `TAG_REAL`
`static int` | `TAG_SEQUENCE`
`static int` | `TAG_SET`
`static int` | `TAG_T61STRING`
`static int` | `TAG_TELETEXSTRING`
`static int` | `TAG_UNIVERSALSTRING`
`static int` | `TAG_UTCTIME`
`static int` | `TAG_UTF8STRING`
`static int` | `TAG_VIDEOTEXSTRING`
`static int` | `TAG_VISIBLESTRING`
`static int` | `TYPE_CONSTRUCTED`
`static int` | `TYPE_PRIMITIVE`

Constructor Summary
`ASN1()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MASK_CLASS

    public static final int MASK_CLASS

See Also:
  Constant Field Values

### MASK_NUMBER

    public static final int MASK_NUMBER

See Also:
  Constant Field Values

### CLASS_UNIVERSAL

    public static final int CLASS_UNIVERSAL

See Also:
  Constant Field Values

### CLASS_APPLICATION

    public static final int CLASS_APPLICATION

See Also:
  Constant Field Values

### CLASS_CONTEXT

    public static final int CLASS_CONTEXT

See Also:
  Constant Field Values

### CLASS_PRIVATE

    public static final int CLASS_PRIVATE

See Also:
  Constant Field Values

### TYPE_PRIMITIVE

    public static final int TYPE_PRIMITIVE

See Also:
  Constant Field Values

### TYPE_CONSTRUCTED

    public static final int TYPE_CONSTRUCTED

See Also:
  Constant Field Values

### TAG_ANY

    public static final int TAG_ANY

See Also:
  Constant Field Values

### TAG_BOOLEAN

    public static final int TAG_BOOLEAN

See Also:
  Constant Field Values

### TAG_INTEGER

    public static final int TAG_INTEGER

See Also:
  Constant Field Values

### TAG_BITSTRING

    public static final int TAG_BITSTRING

See Also:
  Constant Field Values

### TAG_OCTETSTRING

    public static final int TAG_OCTETSTRING

See Also:
  Constant Field Values

### TAG_NULL

    public static final int TAG_NULL

See Also:
  Constant Field Values

### TAG_OID

    public static final int TAG_OID

See Also:
  Constant Field Values

### TAG_ODESC

    public static final int TAG_ODESC

See Also:
  Constant Field Values

### TAG_INSTANCEOF

    public static final int TAG_INSTANCEOF

See Also:
  Constant Field Values

### TAG_REAL

    public static final int TAG_REAL

See Also:
  Constant Field Values

### TAG_ENUMERATED

    public static final int TAG_ENUMERATED

See Also:
  Constant Field Values

### TAG_EMBEDDED

    public static final int TAG_EMBEDDED

See Also:
  Constant Field Values

### TAG_UTF8STRING

    public static final int TAG_UTF8STRING

See Also:
  Constant Field Values

### TAG_SEQUENCE

    public static final int TAG_SEQUENCE

See Also:
  Constant Field Values

### TAG_SET

    public static final int TAG_SET

See Also:
  Constant Field Values

### TAG_NUMERICSTRING

    public static final int TAG_NUMERICSTRING

See Also:
  Constant Field Values

### TAG_PRINTABLESTRING

    public static final int TAG_PRINTABLESTRING

See Also:
  Constant Field Values

### TAG_T61STRING

    public static final int TAG_T61STRING

See Also:
  Constant Field Values

### TAG_TELETEXSTRING

    public static final int TAG_TELETEXSTRING

See Also:
  Constant Field Values

### TAG_VIDEOTEXSTRING

    public static final int TAG_VIDEOTEXSTRING

See Also:
  Constant Field Values

### TAG_IA5STRING

    public static final int TAG_IA5STRING

See Also:
  Constant Field Values

### TAG_UTCTIME

    public static final int TAG_UTCTIME

See Also:
  Constant Field Values

### TAG_GENERALIZEDTIME

    public static final int TAG_GENERALIZEDTIME

See Also:
  Constant Field Values

### TAG_GRAPHICSTRING

    public static final int TAG_GRAPHICSTRING

See Also:
  Constant Field Values

### TAG_VISIBLESTRING

    public static final int TAG_VISIBLESTRING

See Also:
  Constant Field Values

### TAG_GENERALSTRING

    public static final int TAG_GENERALSTRING

See Also:
  Constant Field Values

### TAG_UNIVERSALSTRING

    public static final int TAG_UNIVERSALSTRING

See Also:
  Constant Field Values

### TAG_BMPSTRING

    public static final int TAG_BMPSTRING

See Also:
  Constant Field Values

Constructor Detail

### ASN1

    public ASN1()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD